# PageFit enum

Page fit.

Inheritance
  - Object
  - Enum
  - PageFit
Available extensions
  - EnumName

## Values

FIT_IN → const PageFit

  Fit image into page. May leave white borders if the aspect ratio of the image and the page don't match. Preserves image aspect ratio.

FILL_IN → const PageFit

  Fill page with image. Will crop the image if the aspect ratio of the image and the page don't match. Preserves image aspect ratio.

STRETCH → const PageFit

  Stretch image to fill the entire page. The image will never be cropped and there will never be any white borders left, but the image aspect ratio will be made to match the page aspect ratio.

NONE → const PageFit

  No resizing, centers the image on the page. The physical size of the image will be determined by the `dpi` parameter.

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
name → String

  Available on Enum, provided by the EnumName extension

  The name of the enum value.
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<PageFit>
  A constant List of the values in this enum, in order of their declaration.